const APP_DISPLAY_NAME = "Toggle Preview Pane";
const APP_NAME = "togmespane";
const APP_PACKAGE = "/togmespane";
const APP_VERSION = "0.0.2";

const APP_JAR_FILE = "togmespane.jar";

const APP_CONTENT_FOLDER = "/content/togmespane/";
const APP_SKIN_FOLDER = "skin/classic/togmespane/";

const APP_SUCCESS_MESSAGE = "U moet Thunderbird opnieuw opstarten.";


const INST_TO_PROFILE = "Wilt u "+APP_DISPLAY_NAME+" in het profiel installeren?\nDit betekent dat u niet opnieuw hoeft te installeren wanneer u Thunderbird upgrade.\n(Klik Cancel wanneer je "+APP_DISPLAY_NAME+" wilt installeren in de applicatie-map.)";

initInstall(APP_NAME, APP_PACKAGE, APP_VERSION);

// profile installs only work since 2003-03-06
var instToProfile = confirm(INST_TO_PROFILE);

var chromef = instToProfile ? getFolder("Profile", "chrome") : getFolder("chrome");
var err = addFile(APP_PACKAGE, APP_VERSION, APP_JAR_FILE, chromef, null)

if(err == SUCCESS) {
	var jar = getFolder(chromef, APP_JAR_FILE);
	if(instToProfile) {
  	registerChrome(CONTENT | PROFILE_CHROME, jar, APP_CONTENT_FOLDER);
   	registerChrome(SKIN    | PROFILE_CHROME, jar, APP_SKIN_FOLDER);
  } else {
  	registerChrome(CONTENT | DELAYED_CHROME, jar, APP_CONTENT_FOLDER);
   	registerChrome(SKIN    | DELAYED_CHROME, jar, APP_SKIN_FOLDER);
  }
	err = performInstall();
	if(err == SUCCESS || err == 999) {
		alert(APP_DISPLAY_NAME+" "+APP_VERSION+" is goed genstalleerd.\n"+APP_SUCCESS_MESSAGE);
	} else {
		alert("Installatie mislukt. Foutcode:" + err);
		cancelInstall(err);
	}
} else {
	alert("Failed to create " +APP_JAR_FILE +"\n"
		+"You probably don't have appropriate permissions \n"
		+"(write access to your profile or chrome directory). \n"
		+"_____________________________\nError code:" + err);
	cancelInstall(err);
}
